PredicateLeaf.Operator (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hadoop.hive.ql.io.sarg

## Enum PredicateLeaf.Operator

- java.lang.Object
- - java.lang.Enum<PredicateLeaf.Operator>
  - - org.apache.hadoop.hive.ql.io.sarg.PredicateLeaf.Operator

- All Implemented Interfaces:
    Serializable, Comparable<PredicateLeaf.Operator>
  Enclosing interface:
    PredicateLeaf

      public static enum PredicateLeaf.Operator
      extends Enum<PredicateLeaf.Operator>

  The possible operators for predicates. To get the opposites, construct an expression with a not operator.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BETWEEN`
    `EQUALS`
    `IN`
    `IS_NULL`
    `LESS_THAN`
    `LESS_THAN_EQUALS`
    `NULL_SAFE_EQUALS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PredicateLeaf.Operator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PredicateLeaf.Operator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUALS

          public static final PredicateLeaf.Operator EQUALS

    - #### NULL_SAFE_EQUALS

          public static final PredicateLeaf.Operator NULL_SAFE_EQUALS

    - #### LESS_THAN

          public static final PredicateLeaf.Operator LESS_THAN

    - #### LESS_THAN_EQUALS

          public static final PredicateLeaf.Operator LESS_THAN_EQUALS

    - #### IN

          public static final PredicateLeaf.Operator IN

    - #### BETWEEN

          public static final PredicateLeaf.Operator BETWEEN

    - #### IS_NULL

          public static final PredicateLeaf.Operator IS_NULL

  - ### Method Detail

    - #### values

          public static PredicateLeaf.Operator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PredicateLeaf.Operator c : PredicateLeaf.Operator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PredicateLeaf.Operator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 The Apache Software Foundation. All rights reserved.